import { Report, ReportType } from '../entities/report.entity';

export const REPORT_REPOSITORY = Symbol('IReportRepository');

export interface IReportRepository {
  findById(id: string): Promise<Report | null>;
  findAndCount(options: {
    type?: ReportType;
    page: number;
    limit: number;
  }): Promise<[Report[], number]>;
  create(data: Partial<Report>): Report;
  save(report: Report): Promise<Report>;
}
